<?php

/**
 * Syntax to use
 * [toggle title="Your Toggle Title" color="white"]Toggle Content[/toggle]
 */
class BPDevToggle {

    function __construct() {

        /**
         * Register Shortcode
         */
        add_shortcode('toggle', array($this, 'togglebox'));
    }

    function togglebox($atts, $content = null) {

        extract(shortcode_atts(array(
                    'title' => '',
                        ), $atts));

        $out = '';
        $out .= '<h3 class="toggle"><strong><a href="#">' . $title . '</a></strong></h3>';
        $out .= '<div class="toggle-box" style="display: none;"><p>';
        $out .= do_shortcode($content);
        $out .= '</p></div>';

        return $out;
    }

}

new BPDevToggle();
?>
