<?php
class BPDevColumnsShortCode {

    function __construct() {

        /**
         * Register Coloumns Shortcode
         */
        add_shortcode('one_half', array($this, 'generate_one_half'));
        add_shortcode('one_half_last', array($this, 'generate_one_half_last'));
        add_shortcode('one_third', array($this, 'generate_one_third'));
        add_shortcode('one_third_last', array($this, 'generate_one_third_last'));
        add_shortcode('one_fourth', array($this, 'generate_one_fourth'));
        add_shortcode('three_fifth', array($this, 'generate_three_fifth'));
        add_shortcode('one_fifth', array($this, 'generate_one_fifth'));
        add_shortcode('three_fifth_last', array($this, 'generate_three_fifth_last'));
        add_shortcode('two_fifth', array($this, 'generate_two_fifth'));
        add_shortcode('one_sixth', array($this, 'generate_one_sixth'));
	add_shortcode('two_third', array($this, 'generate_two_third'));
	add_shortcode('two_fifth_last', array($this, 'generate_two_fifth_last'));
        
    }

   
    function shortcode_columns($atts, $content = null) {
        $colunms = shortcode_atts(array(
            'size' => 'full', // full width 100% is default
            'color' => '',
            'type' => '',
            'align' => '',
            'float' => '',
            'text' => '',
                ), $atts);


        return self::generate_col($colunms, $content);
    }

    function generate_one_half($atts, $content = null) {
        $colunms = shortcode_atts(array(
            'color' => '',
            'type' => '',
            'align' => '',
            'float' => '',
            'text' => ''
                ), $atts);

        $colunms['size'] = 'one_half';

        return $this->generate_col($colunms, $content);
    }

    function generate_one_half_last($atts, $content = null) {
        $colunms = shortcode_atts(array(
            'color' => '',
            'type' => '',
            'align' => '',
            'float' => '',
            'text' => ''
                ), $atts);

        $colunms['size'] = 'one_half_last';

        return $this->generate_col($colunms, $content);
    }

    function generate_one_third($atts, $content = null) {
        $colunms = shortcode_atts(array(
            'color' => '',
            'type' => '',
            'align' => '',
            'float' => '',
            'text' => ''
                ), $atts);

        $colunms['size'] = 'one_third';

        return $this->generate_col($colunms, $content);
    }

    function generate_one_third_last($atts, $content = null) {
        $colunms = shortcode_atts(array(
            'color' => '',
            'type' => '',
            'align' => '',
            'float' => '',
            'text' => ''
                ), $atts);

        $colunms['size'] = 'one_third_last';

        return $this->generate_col($colunms, $content);
    }
	 function generate_two_fifth_last($atts, $content = null) {
        $colunms = shortcode_atts(array(
            'color' => '',
            'type' => '',
            'align' => '',
            'float' => '',
            'text' => ''
                ), $atts);

        $colunms['size'] = 'two_fifth_last';

        return $this->generate_col($colunms, $content);
    }

    function generate_one_fourth($atts, $content = null) {
        $colunms = shortcode_atts(array(
            'color' => '',
            'type' => '',
            'align' => '',
            'float' => '',
            'text' => ''
                ), $atts);

        $colunms['size'] = 'one_fourth';

        return $this->generate_col($colunms, $content);
    }

    function generate_three_fifth($atts, $content = null) {
        $colunms = shortcode_atts(array(
            'color' => '',
            'type' => '',
            'align' => '',
            'float' => '',
            'text' => ''
                ), $atts);

        $colunms['size'] = 'three_fifth';

        return $this->generate_col($colunms, $content);
    }

    function generate_one_fifth($atts, $content = null) {
        $colunms = shortcode_atts(array(
            'color' => '',
            'type' => '',
            'align' => '',
            'float' => '',
            'text' => ''
                ), $atts);

        $colunms['size'] = 'one_fifth';

        return $this->generate_col($colunms, $content);
    }

    function generate_three_fifth_last($atts, $content = null) {
        $colunms = shortcode_atts(array(
            'color' => '',
            'type' => '',
            'align' => '',
            'float' => '',
            'text' => ''
                ), $atts);

        $colunms['size'] = 'three_fifth_last';

        return $this->generate_col($colunms, $content);
    }

    function generate_two_fifth($atts, $content = null) {
        $colunms = shortcode_atts(array(
            'color' => '',
            'type' => '',
            'align' => '',
            'float' => '',
            'text' => ''
                ), $atts);

        $colunms['size'] = 'two_fifth';

        return $this->generate_col($colunms, $content);
    }

    function generate_one_sixth($atts, $content = null) {
        $colunms = shortcode_atts(array(
            'color' => '',
            'type' => '',
            'align' => '',
            'float' => '',
            'text' => ''
                ), $atts);

        $colunms['size'] = 'one_sixth';

        return $this->generate_col($colunms, $content);
    }
	  function generate_two_third($atts, $content = null) {
        $colunms = shortcode_atts(array(
            'color' => '',
            'type' => '',
            'align' => '',
            'float' => '',
            'text' => ''
                ), $atts);

        $colunms['size'] = 'two_third';

        return $this->generate_col($colunms, $content);
    }

    /**
     * to generfate the column div
     * 
     * @return  string: the  generated div/html 
     */
    function generate_col($args, $content=null) {

        $args = wp_parse_args($args, array(
            'size' => 'full', // full width 100% is default
            'color' => '',
            'type' => '',
            'align' => '',
            'float' => '',
            'text' => '',
                ));
        extract($args);

        $size = ($size) ? '' . $size : '';
        $color = ($color) ? ' ' . $color : '';
        $type = ($type) ? ' ' . $type : '';
        $text = ($text) ? ' text' . $text : '';
        $align = ($align) ? ' align' . $align : '';
        $float = ($float) ? ' float' . $float : '';

        if (strpos($size, "last") === false) {
            // if last is not found
            return '<div class="' . $size . $color . $type . $align . $float . $text . ' awesome-box"><span class="box-icon"></span><span class="box-content">' . do_shortcode($content) . '</span></div>';
        } else {
            // if last is found
            return '<div class="' . $size . $color . $type . $align . $float . $text . ' awesome-box"><span class="box-icon"></span><span class="box-content">' . do_shortcode($content) . '</span></div><span class="clearboth"></span>';
        }
    }
}

new BPDevColumnsShortCode();
?>
